﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Formatting_Word_Docx.aspx.vb" Inherits="Cases_Grid_Exporting_1145130_Formatting_Word_Docx" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        </telerik:RadCodeBlock>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>

        <div>
            <telerik:RadGrid ID="RadGrid1" runat="server" Width="100%" GridLines="Both" AutoGenerateColumns="False"
                ExportSettings-ExportOnlyData="true"
                ExportSettings-IgnorePaging="true"
                ExportSettings-OpenInNewWindow="True"
                OnNeedDataSource="RadGrid1_NeedDataSource"
                OnPreRender="RadGrid1_PreRender"
                OnGridExporting="RadGrid1_GridExporting">

                <ClientSettings>
                    <Scrolling UseStaticHeaders="false" />
                </ClientSettings>
                <ExportSettings HideStructureColumns="true" UseItemStyles="true">
                    <Pdf PaperSize="Letter" PageHeight="216mm" PageWidth="279mm" PageHeader-RightCell-TextAlign="Right" PageHeader-MiddleCell-TextAlign="Center" PageHeader-LeftCell-TextAlign="Left">
                    </Pdf>
                    <Word Format="Html" />
                    <%--<Word Format="Docx" />--%>
                    <Excel Format="Xlsx" />
                </ExportSettings>

                <MasterTableView AutoGenerateColumns="False" DataKeyNames="OrderID" CommandItemDisplay="Top">
                    <CommandItemSettings ShowExportToWordButton="true" />
                    <Columns>
                        <telerik:GridBoundColumn DataField="OrderID" DataType="System.Int32"
                            FilterControlAltText="Filter OrderID column" HeaderText="OrderID"
                            ReadOnly="True" SortExpression="OrderID" UniqueName="OrderID">
                        </telerik:GridBoundColumn>
                        <telerik:GridDateTimeColumn DataField="OrderDate" DataType="System.DateTime"
                            FilterControlAltText="Filter OrderDate column" HeaderText="OrderDate"
                            SortExpression="OrderDate" UniqueName="OrderDate">
                        </telerik:GridDateTimeColumn>
                        <telerik:GridNumericColumn DataField="Freight" DataType="System.Decimal"
                            FilterControlAltText="Filter Freight column" HeaderText="Freight"
                            SortExpression="Freight" UniqueName="Freight">
                        </telerik:GridNumericColumn>
                        <telerik:GridBoundColumn DataField="ShipName"
                            FilterControlAltText="Filter ShipName column" HeaderText="ShipName"
                            SortExpression="ShipName" UniqueName="ShipName" HtmlEncode="false">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="ShipCountry"
                            FilterControlAltText="Filter ShipCountry column" HeaderText="ShipCountry"
                            SortExpression="ShipCountry" UniqueName="ShipCountry">
                        </telerik:GridBoundColumn>
                    </Columns>
                </MasterTableView>
            </telerik:RadGrid>
        </div>
    </form>
</body>
</html>
